<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $(document).ready(function () {
            $("#frm-login").on("click", function (event) {
                event.preventDefault();
                onFrmLoginSubmit();
            })
        });
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onFrmLoginSubmit() {
            //b1 thu thập dữ liệu
            var vLoginPbj = {
                username: "",
                password: "",
                isRemember: false
            }

            getLoginData(vLoginPbj);
            //b2: validate
            var isValidate = validateInput(vLoginPbj)
            if (isValidate) {
                //b3: hiển thi
                login(vLoginPbj);
            }
        }


        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

        //hàm thu thập data login
        function getLoginData(paramLoginPbj) {
            paramLoginPbj.username = $("#inp-login-username").val().trim();
            paramLoginPbj.password = $("#pwd-login-password").val().trim();
            paramLoginPbj.isRemember = $("#ckb-remember-username").val();
            // cách khác paramLoginPbj.isRemember = $("#ckb-remember-username").is(":checked"); 
        }

        //hàm validate data input
        function validateInput(paramLoginPbj) {
            if (paramLoginPbj.username == "") {
                alert("Please enter UseraName");
                $("#inp-login-username").focus();
                return false;

            }

            if (paramLoginPbj.password == "") {
                alert("Please enter PassWord");
                $("#pwd-login-password").focus();
                return false;
            }
            return true;
        }

        //hàm login
        function login(paramLoginPbj){
            console.log(paramLoginPbj);
        }
    </script>

</head>

<body>
    <div class="container">
        <!--add type:password
            thêm required vào html để check bắt buôc nhập, tuy nhiên phải ở trong thẻ <form> thì mới có tác dụng -->
        <form id="frm-login">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Login to your account</h3>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Username" id="inp-login-username"
                                class="form-control" value="" autocomplete="username" required>
                        </div>
                        <div class="form-group">
                            <input name="password" type="password" id="pwd-login-password" placeholder="Password"
                                class="form-control" value="" autocomplete="inp-current-password" required>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="ckb-remember-username"
                                class="form-check-input">
                            <label class="form-check-label" for="rememberusername">Reemember username</label>

                            <a class="float-right" href="#">Lost password?</a>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-log btn-block btn-info">Đăng nhập</button>
                        </div>
                    </div>

                    <div class="text-left">Or <a href="#">Sign-up</a> for having an account</div>
                </div>
            </div>
        </form>
    </div>

</body>

</html>